Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Class SystemIDResolver

    java.lang.Object
      |
      +--org.apache.xml.utils.SystemIDResolver

public class SystemIDResolver
extends java.lang.Object

**For internal use only** This class is used to resolve relative URIs and SystemID strings into absolute URIs.

This is a generic utility for resolving URIs, other than the fact that it's declared to throw TransformerException. Please see code comments for details on how resolution is performed.

Constructor Summary
`SystemIDResolver()`

Method Summary
`static java.lang.String` | `getAbsoluteURI(java.lang.String url)` Take a SystemID string and try and turn it into a good absolute URL.
`static java.lang.String` | `getAbsoluteURI(java.lang.String urlString, java.lang.String base)` Take a SystemID string and try and turn it into a good absolute URL.
`static java.lang.String` | `getAbsoluteURIFromRelative(java.lang.String uri)` Get absolute URI from a given relative URI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemIDResolver

    public SystemIDResolver()

Method Detail

### getAbsoluteURIFromRelative

    public static java.lang.String getAbsoluteURIFromRelative(java.lang.String uri)

  Get absolute URI from a given relative URI.

  The URI is resolved relative to the system property "user.dir" if it is available; if not (i.e. in an Applet perhaps which throws SecurityException) then it is currently resolved relative to "" or a blank string. Also replaces all backslashes with forward slashes.

  Parameters:
    `uri` - Relative URI to resolve
  Returns:
    Resolved absolute URI or the input relative URI if it could not be resolved.

### getAbsoluteURI

    public static java.lang.String getAbsoluteURI(java.lang.String url)
                                           throws TransformerException

  Take a SystemID string and try and turn it into a good absolute URL.
  Parameters:
    `urlString` - url A URL string, which may be relative or absolute.
  Returns:
    The resolved absolute URI
  Throws:
    TransformerException - thrown if the string can't be turned into a URL.

### getAbsoluteURI

    public static java.lang.String getAbsoluteURI(java.lang.String urlString,
                                                  java.lang.String base)
                                           throws TransformerException

  Take a SystemID string and try and turn it into a good absolute URL.
  Parameters:
    `urlString` - SystemID string
    `base` - Base URI to use to resolve the given systemID
  Returns:
    The resolved absolute URI
  Throws:
    TransformerException - thrown if the string can't be turned into a URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.